Audit Trail
curl --request GET \
--url https://{deployment}/v1/audit \
--header 'Authorization: Bearer <token>'import requests
url = "https://{deployment}/v1/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{deployment}/v1/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/audit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/audit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{deployment}/v1/audit")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/audit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"events": [
{
"id": "<string>",
"actor": "<string>",
"actor_roles": [
"<string>"
],
"action": "<string>",
"target_type": "<string>",
"content_hash": "<string>",
"intact": true,
"created_at": "2023-11-07T05:31:56Z",
"actor_email": "<string>",
"target_id": "<string>",
"before": {},
"after": {},
"reason": "<string>",
"count": 1,
"first_at": "2023-11-07T05:31:56Z",
"same_reason": true,
"seq": 0,
"sealed": false,
"digest_version": 1
}
],
"count": 123,
"all_intact": true,
"total": 0,
"limit": 200,
"offset": 0,
"has_more": false,
"tampered_total": 0,
"missing_total": 0,
"missing_first": [],
"broken_seals": [],
"entries_total": 0,
"sealed_through": 123,
"sealed_at": "2023-11-07T05:31:56Z",
"unsealed_total": 0,
"legacy_total": 0,
"seals_total": 0,
"key_custody": "<string>",
"anchor": "export",
"timestamped_total": 0,
"timestamped_late_total": 0,
"timestamped_late_until": "2023-11-07T05:31:56Z",
"untimestamped_total": 0,
"timestamps_unchecked": "<string>",
"timestamp_signers": [],
"head_seal": 123,
"head_fingerprint": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Audit
Audit Trail
Who changed the governance configuration, and what they changed.
Who may call it: admin or auditor. A workspace API key is refused here: this is an act that belongs to a named person.
GET
/
v1
/
audit
Audit Trail
curl --request GET \
--url https://{deployment}/v1/audit \
--header 'Authorization: Bearer <token>'import requests
url = "https://{deployment}/v1/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{deployment}/v1/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/audit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/audit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{deployment}/v1/audit")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/audit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"events": [
{
"id": "<string>",
"actor": "<string>",
"actor_roles": [
"<string>"
],
"action": "<string>",
"target_type": "<string>",
"content_hash": "<string>",
"intact": true,
"created_at": "2023-11-07T05:31:56Z",
"actor_email": "<string>",
"target_id": "<string>",
"before": {},
"after": {},
"reason": "<string>",
"count": 1,
"first_at": "2023-11-07T05:31:56Z",
"same_reason": true,
"seq": 0,
"sealed": false,
"digest_version": 1
}
],
"count": 123,
"all_intact": true,
"total": 0,
"limit": 200,
"offset": 0,
"has_more": false,
"tampered_total": 0,
"missing_total": 0,
"missing_first": [],
"broken_seals": [],
"entries_total": 0,
"sealed_through": 123,
"sealed_at": "2023-11-07T05:31:56Z",
"unsealed_total": 0,
"legacy_total": 0,
"seals_total": 0,
"key_custody": "<string>",
"anchor": "export",
"timestamped_total": 0,
"timestamped_late_total": 0,
"timestamped_late_until": "2023-11-07T05:31:56Z",
"untimestamped_total": 0,
"timestamps_unchecked": "<string>",
"timestamp_signers": [],
"head_seal": 123,
"head_fingerprint": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Response
Successful Response
